{{ define "title" }}
    {{ if .Title }}
        {{ .Title }} ({{ .Site.Title }})
    {{ else }}
        {{ .Site.Title }}
    {{ end }}
{{ end }}
{{ define "main" }}
<header>
  <h1>{{ .Title }}</h1>
  <div class="publish-date">{{ .PublishDate.Format "January 2, 2006" }}</div>
</header>

<article>
  {{ .Content }}
</article>

<footer>
  <hr>
  <div>Go back to <a href="..">blog@{{ .Site.Title }}</a>.</div>
</footer>
{{ end }}
